summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9e5aba4838c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Edward Pacman <edward at edward-p dot xyz>
+
+_srcname=canta-kde
+pkgname=canta-kde-git
+pkgdesc="Canta theme for kde plasma desktop"
+pkgver=r4.f40c04d
+pkgrel=1
+arch=('any')
+url="https://github.com/vinceliuice/Canta-kde"
+license=('GPL')
+depends=()
+makedepends=('git')
+optdepends=('canta-gtk-theme-git' 'canta-icon-theme-git' 'kvantum-qt5')
+
+source=("${_srcname}::git+https://github.com/vinceliuice/Canta-kde.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${_srcname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare(){
+ cd "${srcdir}/${_srcname}"
+ sed -i 's,$HOME/.local/share,'"${pkgdir}"'/usr/share,g' install.sh
+ sed -i 's,$HOME/.config,'"${pkgdir}"'/usr/share,g' install.sh
+
+}
+package() {
+ cd "${srcdir}/${_srcname}"
+ mkdir -p "${pkgdir}/usr/share/"{aurorae/themes,color-schemes,plasma/desktoptheme,plasma/look-and-feel}
+ ./install.sh
+}
+